Bug 1284284 - yumex-dnf: Says "Error in transaction - Didn't install any keys"
yumex-dnf: Says "Error in transaction - Didn't install any keys"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnfdaemon (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 16:19 EST by Thomas Jensen
Modified: 2016-05-25 05:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.3.11-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-25 05:02:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Jensen 2015-11-22 16:19:06 EST
Description of problem:

When trying to install certain packages from RPM fusion nonfree REPO's I get the popup message "Error in transaction - Didn't install any keys".

Version-Release number of selected component (if applicable):

yumex-dnf 4.1.4

How reproducible:


Steps to Reproduce:
1.
Installed "Fedore 23" RPM Fusion packages:
http://rpmfusion.org/Configuration
http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-23.noarch.rpm
http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-23.noarch.rpm

2.
In "yumex-dnf" tool try to install "akmod-nvidia"

3.
Click the "Apply pending changes" button

Actual results:
DNF shows a dialog: "Error in transaction - Didn't install any keys". No packages installed!

Expected results: A successfull install of packages.

Additional info:
Comment 1 Thomas Jensen 2015-11-22 16:31:44 EST
This problem may have something to do with the way yumex-dnf uses the command line tool.

It may not implement proper support for additional key install query.

Installing akmod-nvidia from command line is successfull. However it will request user to accept install of a key:

root> yum install akmod-nvidia

<...snip...>
 
warning: /var/cache/dnf/rpmfusion-nonfree-updates-testing-1bc58f1c691ef7f8/packages/akmod-nvidia-358.16-1.fc23.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID 5ca6c469: NOKEY
Importing GPG key 0x5CA6C469:
 Userid     : "RPM Fusion nonfree repository for Fedora (23) <rpmfusion-buildsys@lists.rpmfusion.org>"
 Fingerprint: 15B9 D223 C819 BF69 86A6 F203 D26D EA72 5CA6 C469
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-23
Is this ok [y/N]: y
Key imported successfully
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing...

<....snip...>

Expert users may switch to command line.
But new linux users / beginners may be lost without a good solution here. For this reason I would considder this a high priority bug.
Comment 2 Tim Lauridsen 2015-11-23 03:56:31 EST
Fixed in this update.
https://bodhi.fedoraproject.org/updates/FEDORA-2015-8054ed53d3

dnf --enablerepo=updates-testing update yumex dnfdaemon

should install the updates
Comment 3 Thomas Jensen 2015-11-24 15:55:07 EST
Perfect - it works :o)

I offered some time to test the fix - here is my details:


1) First I removed my RPM Fusion Keys (Fedore 23):


rpm -e --allmatches gpg-pubkey-e051b67e-54863278
rpm -e --allmatches gpg-pubkey-5ca6c469-548632d2

And I removed VirtualBox installation from RPM Fusion.


2) I tried re-installing VirtualBox with "yumex-dnf" GUI tool.


Error Message "Error in transaction - Didn't install any keys"
(which is expected)
Program closed.


3) Upgrade "dnfdaemon" from "0.3.10-1.fc23" to "0.3.11-1.fc23".


dnf --enablerepo=updates-testing update yumex dnfdaemon

Which updates 2 packages:
Upgrading   : dnfdaemon-0.3.11-1.fc23.noarch
Cleanup     : dnfdaemon-0.3.10-1.fc23.noarch
Upgrading   : python3-dnfdaemon-0.3.11-1.fc23.noarch
Cleanup     : python3-dnfdaemon-0.3.10-1.fc23.noarch


4) Try again to install VirtualBox with "yumex-dnf" GUI tool.


Query if I want to install key
I say yes
Successfull install
:o)
Comment 4 Tim Lauridsen 2015-11-25 07:33:15 EST
Thanks for testing

Note You need to log in before you can comment on or make changes to this bug.